# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetItemSize

Function

Returns the size in bytes of each individual item of an Array.

Syntax
`
#include <dx/dx.h>
`

int DXGetItemSize(Array a)

Functional Details

The routine takes into account the type, category, rank, and shape of Array `a`. (String Arrays are implemented as arrays of type `TYPE_STRING`, `rank 1`, and `shape max_string_length+1`.)

Return Value

Returns the size in bytes or returns 0.

See Also

`DXTypeSize, DXCategorySize`

12.3 , "Array Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]